diff --git a/tests/test_import_export.py b/tests/test_import_export.py
index 6edae6ed..22c875a0 100644
--- a/tests/test_import_export.py
+++ b/tests/test_import_export.py
@@ -18,12 +18,12 @@ from django.utils.six import BytesIO, StringIO
 
 from combo.apps.assets.models import Asset
 from combo.apps.assets.utils import clean_assets_files
-from combo.apps.gallery.models import Image, GalleryCell
+from combo.apps.gallery.models import GalleryCell, Image
 from combo.apps.lingo.models import PaymentBackend, Regie
-from combo.apps.maps.models import MapLayer, Map, MapLayerOptions
-from combo.apps.pwa.models import PwaSettings, PwaNavigationEntry
+from combo.apps.maps.models import Map, MapLayer, MapLayerOptions
+from combo.apps.pwa.models import PwaNavigationEntry, PwaSettings
 from combo.data.models import Page, TextCell
-from combo.data.utils import export_site, import_site, MissingGroups
+from combo.data.utils import MissingGroups, export_site, import_site
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_lingo_cells.py b/tests/test_lingo_cells.py
index 78e0ebf3..c7c62f01 100644
--- a/tests/test_lingo_cells.py
+++ b/tests/test_lingo_cells.py
@@ -2,21 +2,22 @@
 
 import eopayment
 import pytest
-
 from django.contrib.auth.models import User
 from django.test.client import RequestFactory
 from django.utils import timezone
 from django.utils.http import quote
 
-from combo.data.models import Page
-from combo.apps.lingo.models import Regie, BasketItem, Transaction
 from combo.apps.lingo.models import (
+    BasketItem,
     LingoBasketCell,
-    PaymentBackend,
-    LingoRecentTransactionsCell,
     LingoBasketLinkCell,
+    LingoRecentTransactionsCell,
+    PaymentBackend,
+    Regie,
     TipiPaymentFormCell,
+    Transaction,
 )
+from combo.data.models import Page
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_lingo_manager.py b/tests/test_lingo_manager.py
index 1d0c82d0..b4f1939d 100644
--- a/tests/test_lingo_manager.py
+++ b/tests/test_lingo_manager.py
@@ -1,27 +1,25 @@
 # -*- coding: utf-8 -*-
 
 import datetime
+from decimal import Decimal
 
+import eopayment
+import mock
+import pytest
 from django.contrib.auth.models import User
 from django.db import connection
 from django.test.utils import CaptureQueriesContext
-from django.utils.timezone import now
-from django.utils.timezone import make_aware
-
-import mock
-import pytest
+from django.utils.timezone import make_aware, now
 
-import eopayment
-from combo.data.models import Page
 from combo.apps.lingo.models import (
-    Regie,
-    BasketItem,
-    Transaction,
     ActiveItems,
-    TipiPaymentFormCell,
+    BasketItem,
     PaymentBackend,
+    Regie,
+    TipiPaymentFormCell,
+    Transaction,
 )
-from decimal import Decimal
+from combo.data.models import Page
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_lingo_payment.py b/tests/test_lingo_payment.py
index d0d64584..dea05239 100644
--- a/tests/test_lingo_payment.py
+++ b/tests/test_lingo_payment.py
@@ -1,40 +1,38 @@
+import json
+import uuid
 from contextlib import contextmanager
-import eopayment
-import pytest
 from datetime import datetime, timedelta
 from decimal import Decimal
-import json
-import mock
-import uuid
-
-from mellon.models import UserSAMLIdentifier
-from requests.exceptions import ConnectionError
-from requests.models import Response
 
+import eopayment
+import httmock
+import mock
+import pytest
 from django.apps import apps
+from django.conf import settings
 from django.contrib.auth.models import User
 from django.http.request import QueryDict
-from django.urls import reverse
-from django.conf import settings
 from django.test import override_settings
+from django.urls import reverse
 from django.utils import timezone
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.timezone import utc
+from mellon.models import UserSAMLIdentifier
+from requests.exceptions import ConnectionError
+from requests.models import Response
 
-from combo.data.models import Page
 from combo.apps.lingo.models import (
-    Regie,
-    BasketItem,
-    Transaction,
-    TransactionOperation,
     EXPIRED,
+    BasketItem,
     LingoBasketCell,
     PaymentBackend,
+    Regie,
+    Transaction,
+    TransactionOperation,
 )
+from combo.apps.lingo.views import signing_dumps, signing_loads
+from combo.data.models import Page
 from combo.utils import sign_url
-from combo.apps.lingo.views import signing_loads, signing_dumps
-
-import httmock
 
 from .test_manager import login
 
diff --git a/tests/test_lingo_remote_regie.py b/tests/test_lingo_remote_regie.py
index f8780db5..4b927e22 100644
--- a/tests/test_lingo_remote_regie.py
+++ b/tests/test_lingo_remote_regie.py
@@ -2,34 +2,34 @@
 
 import copy
 import json
-import pytest
-import mock
 from decimal import Decimal
-from requests.models import Response
-from requests.exceptions import ConnectionError
 
+import mock
+import pytest
 from django.apps import apps
-from django.test.client import RequestFactory
-from django.test import override_settings
-from django.urls import reverse
 from django.conf import settings
+from django.contrib.auth.models import User
 from django.core.management import call_command
+from django.test import override_settings
+from django.test.client import RequestFactory
+from django.urls import reverse
 from django.utils.encoding import force_bytes, force_text
 from django.utils.six.moves.urllib import parse as urlparse
-from django.utils.timezone import timedelta, now
-from django.contrib.auth.models import User
+from django.utils.timezone import now, timedelta
+from requests.exceptions import ConnectionError
+from requests.models import Response
 
-from combo.utils import check_query, aes_hex_encrypt
-from combo.data.models import Page
 from combo.apps.lingo.models import (
-    Regie,
     ActiveItems,
+    BasketItem,
     ItemsHistory,
+    PaymentBackend,
+    Regie,
     SelfDeclaredInvoicePayment,
     Transaction,
-    BasketItem,
-    PaymentBackend,
 )
+from combo.data.models import Page
+from combo.utils import aes_hex_encrypt, check_query
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_manager.py b/tests/test_manager.py
index e659fba0..4dba7042 100644
--- a/tests/test_manager.py
+++ b/tests/test_manager.py
@@ -1,51 +1,49 @@
 import base64
 import datetime
 import json
-import mock
 import os
 import re
 import shutil
 
+import mock
+import pytest
+from django.conf import settings
+from django.contrib.auth.models import Group
 from django.core.files import File
 from django.core.files.storage import default_storage
 from django.core.serializers.base import DeserializationError
-from django.urls import reverse
-from django.conf import settings
-from django.contrib.auth.models import Group
 from django.db import connection
 from django.template import TemplateSyntaxError
 from django.test import override_settings
 from django.test.client import RequestFactory
 from django.test.utils import CaptureQueriesContext
+from django.urls import reverse
 from django.utils.encoding import force_bytes, force_str
 from django.utils.http import urlencode
-from django.utils.timezone import now
 from django.utils.six import BytesIO
 from django.utils.six.moves.urllib import parse as urlparse
-
-import pytest
+from django.utils.timezone import now
 from webtest import Upload
 
+from combo.apps.assets.models import Asset
+from combo.apps.family.models import FamilyInfosCell
+from combo.apps.maps.models import MapLayer
+from combo.apps.search.models import SearchCell
 from combo.data.forms import LinkCellForm
 from combo.data.models import (
-    Page,
     CellBase,
-    TextCell,
-    LinkCell,
     ConfigJsonCell,
     JsonCell,
-    PageSnapshot,
+    LinkCell,
     LinkListCell,
-    ParentContentCell,
     MenuCell,
+    Page,
+    PageSnapshot,
+    ParentContentCell,
+    TextCell,
     ValidityInfo,
 )
-from combo.manager.forms import PageAddForm
-from combo.manager.forms import PageSelectTemplateForm
-from combo.apps.assets.models import Asset
-from combo.apps.maps.models import MapLayer
-from combo.apps.family.models import FamilyInfosCell
-from combo.apps.search.models import SearchCell
+from combo.manager.forms import PageAddForm, PageSelectTemplateForm
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_maps_cells.py b/tests/test_maps_cells.py
index cfa0cf6b..41fe609a 100644
--- a/tests/test_maps_cells.py
+++ b/tests/test_maps_cells.py
@@ -1,16 +1,15 @@
 # -*- coding: utf-8 -*-
 import json
+
 import mock
 import pytest
-
 from django.conf import settings
-from django.contrib.auth.models import User
-from django.contrib.auth.models import Group
-from django.urls import reverse
+from django.contrib.auth.models import Group, User
 from django.test.client import RequestFactory
+from django.urls import reverse
 
+from combo.apps.maps.models import Map, MapLayer, MapLayerOptions
 from combo.data.models import Page
-from combo.apps.maps.models import MapLayer, Map, MapLayerOptions
 
 from .test_manager import login
 
diff --git a/tests/test_maps_manager.py b/tests/test_maps_manager.py
index 57c7d90e..fb688d6e 100644
--- a/tests/test_maps_manager.py
+++ b/tests/test_maps_manager.py
@@ -1,11 +1,9 @@
 # -*- coding: utf-8 -*-
 
-import pytest
 import mock
+import pytest
 
-from combo.apps.maps.models import Map
-from combo.apps.maps.models import MapLayer
-from combo.apps.maps.models import MapLayerOptions
+from combo.apps.maps.models import Map, MapLayer, MapLayerOptions
 from combo.data.models import Page
 
 pytestmark = pytest.mark.django_db
diff --git a/tests/test_notification.py b/tests/test_notification.py
index 856b7835..62dc8b44 100644
--- a/tests/test_notification.py
+++ b/tests/test_notification.py
@@ -1,21 +1,19 @@
 import json
+from datetime import timedelta as timedelta
+from decimal import Decimal
 
 import mock
 import pytest
-from decimal import Decimal
-from datetime import timedelta as timedelta
-
 from django.contrib.auth.models import User
+from django.test import Client
 from django.test.client import RequestFactory
-from django.utils.encoding import force_text
-from django.utils.timezone import timedelta, now
 from django.urls import reverse
+from django.utils.encoding import force_text
+from django.utils.timezone import now, timedelta
 
-from django.test import Client
-
-from combo.data.models import Page
+from combo.apps.lingo.models import ActiveItems, PaymentBackend, Regie
 from combo.apps.notifications.models import Notification, NotificationsCell
-from combo.apps.lingo.models import Regie, ActiveItems, PaymentBackend
+from combo.data.models import Page
 
 from .test_manager import login as login_app
 
diff --git a/tests/test_pages.py b/tests/test_pages.py
index 209255df..587296ce 100644
--- a/tests/test_pages.py
+++ b/tests/test_pages.py
@@ -1,15 +1,16 @@
 import os
-import pytest
 import sys
 
+import pytest
 from django.conf import settings
-from django.contrib.auth.models import User, Group
+from django.contrib.auth.models import Group, User
 from django.test import override_settings
 from django.test.client import RequestFactory
 from django.utils.six import StringIO
-from combo.data.models import Page, PageSnapshot, CellBase, TextCell, LinkCell, LinkListCell
-from combo.data.management.commands.import_site import Command as ImportSiteCommand
+
 from combo.data.management.commands.export_site import Command as ExportSiteCommand
+from combo.data.management.commands.import_site import Command as ImportSiteCommand
+from combo.data.models import CellBase, LinkCell, LinkListCell, Page, PageSnapshot, TextCell
 from combo.manager.forms import PageVisibilityForm
 
 pytestmark = pytest.mark.django_db
diff --git a/tests/test_public.py b/tests/test_public.py
index 6657a7a4..af2e16d0 100644
--- a/tests/test_public.py
+++ b/tests/test_public.py
@@ -1,22 +1,21 @@
-import mock
-from webtest import TestApp
-
 import datetime
 import json
-import pytest
-import re
 import os
+import re
 
+import mock
+import pytest
 from django.conf import settings
-from django.contrib.auth.models import User, Group
+from django.contrib.auth.models import Group, User
 from django.core.files import File
-from django.urls import reverse
 from django.db import connection
+from django.test import override_settings
+from django.test.utils import CaptureQueriesContext
+from django.urls import reverse
 from django.utils.http import quote
 from django.utils.six import StringIO
 from django.utils.six.moves.urllib import parse as urlparse
-from django.test import override_settings
-from django.test.utils import CaptureQueriesContext
+from webtest import TestApp
 
 try:
     import mellon
@@ -24,21 +23,21 @@ except ImportError:
     mellon = None
 import requests
 
-from combo.wsgi import application
+from combo.apps.assets.models import Asset
+from combo.apps.family.models import FamilyInfosCell
 from combo.data.models import (
-    Page,
     CellBase,
-    TextCell,
-    ParentContentCell,
+    ConfigJsonCell,
     FeedCell,
+    JsonCell,
     LinkCell,
     LinkListCell,
-    ConfigJsonCell,
+    Page,
+    ParentContentCell,
     Redirect,
-    JsonCell,
+    TextCell,
 )
-from combo.apps.assets.models import Asset
-from combo.apps.family.models import FamilyInfosCell
+from combo.wsgi import application
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_public_templatetags.py b/tests/test_public_templatetags.py
index 71fe61c1..d362ef00 100644
--- a/tests/test_public_templatetags.py
+++ b/tests/test_public_templatetags.py
@@ -4,19 +4,18 @@ import shutil
 import time
 
 import pytest
-
+from django.contrib.auth.models import AnonymousUser, Group, User
 from django.core.files import File
 from django.core.files.storage import default_storage
 from django.template import Context, Template
 from django.template.exceptions import TemplateSyntaxError
 from django.test import override_settings
 from django.test.client import RequestFactory
-from django.contrib.auth.models import User, Group, AnonymousUser
 from django.utils.six import StringIO
 from django.utils.timezone import now
 
-from combo.data.models import Page, TextCell
 from combo.apps.assets.models import Asset
+from combo.data.models import Page, TextCell
 from combo.profile.utils import get_user_from_name_id
 
 pytestmark = pytest.mark.django_db
diff --git a/tests/test_publik.py b/tests/test_publik.py
index dfbbda30..b2dd95e0 100644
--- a/tests/test_publik.py
+++ b/tests/test_publik.py
@@ -3,10 +3,9 @@ import json
 import re
 
 import pytest
-from webtest import TestApp
-
 from django.conf import settings
-from django.contrib.auth.models import User, Group
+from django.contrib.auth.models import Group, User
+from webtest import TestApp
 
 from combo.data.models import Page
 
diff --git a/tests/test_pwa.py b/tests/test_pwa.py
index f98d1925..1f5ec5b3 100644
--- a/tests/test_pwa.py
+++ b/tests/test_pwa.py
@@ -3,20 +3,18 @@ import os
 
 import mock
 import pytest
-from webtest import Upload
-
 import pywebpush
-
 from django.conf import settings
 from django.core.files import File
-from django.urls import reverse
 from django.template import Context, Template
 from django.test import override_settings
 from django.test.client import RequestFactory
+from django.urls import reverse
 from django.utils.six import BytesIO
+from webtest import Upload
 
 from combo.apps.notifications.models import Notification
-from combo.apps.pwa.models import PushSubscription, PwaSettings, PwaNavigationEntry
+from combo.apps.pwa.models import PushSubscription, PwaNavigationEntry, PwaSettings
 from combo.data.models import Page
 
 from .test_manager import login
diff --git a/tests/test_requests.py b/tests/test_requests.py
index 499dfb60..5b7b5747 100644
--- a/tests/test_requests.py
+++ b/tests/test_requests.py
@@ -2,11 +2,10 @@
 
 import mock
 import pytest
-
 from django.contrib.auth.models import AnonymousUser
 from django.utils.six.moves.urllib import parse as urlparse
 
-from combo.utils import requests, check_query, NothingInCacheException
+from combo.utils import NothingInCacheException, check_query, requests
 
 
 class MockUser(object):
diff --git a/tests/test_search.py b/tests/test_search.py
index 6cae04f3..0bcb993e 100644
--- a/tests/test_search.py
+++ b/tests/test_search.py
@@ -1,11 +1,11 @@
 import datetime
 import json
 import os
-import pytest
-import mock
 
+import mock
+import pytest
 from django.conf import settings
-from django.contrib.auth.models import AnonymousUser, User, Group
+from django.contrib.auth.models import AnonymousUser, Group, User
 from django.contrib.contenttypes.models import ContentType
 from django.db import connection
 from django.test import override_settings
@@ -14,18 +14,16 @@ from django.test.utils import CaptureQueriesContext
 from django.urls import reverse
 from django.utils.http import urlencode
 from django.utils.timezone import now
-
 from requests.exceptions import ConnectionError
 from requests.models import Response
 
 from combo.apps.search.engines import engines
-from combo.apps.search.models import SearchCell, IndexedCell
+from combo.apps.search.models import IndexedCell, SearchCell
 from combo.apps.search.utils import index_site, search_site
-from combo.data.models import Page, JsonCell, TextCell, MenuCell, LinkCell, PageSnapshot
+from combo.data.models import JsonCell, LinkCell, MenuCell, Page, PageSnapshot, TextCell
 
 from .test_manager import login
 
-
 pytestmark = pytest.mark.django_db
 
 
diff --git a/tests/test_utils.py b/tests/test_utils.py
index ca5af9e8..91e03922 100644
--- a/tests/test_utils.py
+++ b/tests/test_utils.py
@@ -1,13 +1,13 @@
 import pytest
-
-from combo.utils import aes_hex_decrypt, aes_hex_encrypt, get_templated_url, TemplateError
 from django.conf import settings
-from django.test import override_settings
+from django.contrib.auth.models import AnonymousUser
 from django.template import Context, RequestContext
+from django.test import override_settings
 from django.test.client import RequestFactory
-from django.contrib.auth.models import AnonymousUser
 from django.utils.encoding import force_bytes
 
+from combo.utils import TemplateError, aes_hex_decrypt, aes_hex_encrypt, get_templated_url
+
 
 class MockUser(object):
     email = 'foo=3@example.net'
